package com.rf.psychological.dao.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author lpf
 * @description:
 * @date 14/12/2021下午10:10
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class MovementEntity {

    /**
     * 序号
     */
    private String index;

    /**
     * 难度系数
     */
    private String diff;

    /**
     * 运动方向
     */
    private String direction;

    /**
     * 用户反应方向
     */
    private String userResponse;

    /**
     * 反应时间
     */
    private String responseTime;

    /**
     * 噪声
     */
    private String noise;

    /**
     * 速度
     */
    private String dist;

}
