package com.rf.psychological.miniapp.collect.repository;

import com.rf.psychological.base.repository.BaseRepository;
import com.rf.psychological.miniapp.collect.model.CollectEntity;

/**
 * @Description:收藏接口
 * @Author: mimang
 * @Date: 2023/5/19
 */
public interface CollectRepository extends BaseRepository<CollectEntity,String> {
    CollectEntity findByUserIdAndBusinessIdAndStatus(String userId, String businessId, String defaultValueOne);
}
