package com.rf.psychological.scale.dao.repository;


import com.rf.psychological.base.repository.BaseRepository;
import com.rf.psychological.scale.dao.model.CognitiveDimension;

import java.util.List;

/**
 * @Description:认知任务维度关联表
 * @Author: zsf
 * @Date: 2022/7/19
 */
public interface CognitiveDimensionRepository extends BaseRepository<CognitiveDimension,String> {

    /**
     * 获取导认知任务维度
     * @param cognitionId 认知任务id
     * @return
     */
    List<CognitiveDimension> findAllByCognitionId(String cognitionId);
}
