package com.rf.psychological.scale.dao.repository;

import com.rf.psychological.base.repository.BaseRepository;
import com.rf.psychological.scale.dao.model.MBTIResultDetail;

/**
 * @Description:MBTI详情接口
 * @Author: mimang
 * @Date: 2024/6/3
 */
public interface MBTIResultDetailRepository extends BaseRepository<MBTIResultDetail,String> {

    /**
     * 根据Flag获取到详情
     * @param flag 标识
     * @return
     */
    MBTIResultDetail findByFlag(String flag);
}
