package com.rf.psychological.utils;

import java.util.List;

/**
 * @author zzf
 * @description:静态类
 * @date 2021/1/19 16:45
 */
public class Constant {


    /**
     * 机构起始编号
     */
    public static final int START_NUMBER=11000;

    /**
     * 系统决明
     */
    public static final String SYSTEM_INSTITUTION_ON="10006";

    /**
     *系统版本
     */
    public static final String SYSTEM_VERSION ="1.1";

    /**
     * 认知任务返回版本报告
     */
    public static final String COGNITION_RESULT_VERSION ="2.0";

    /**
     * 公网版机构编号
     */
    public static final String WEB_INSTITUTION_CODE ="PUB001";

    /**
     * 公网版机构名称
     */
    public static final String WEB_INSTITUTION_NAME ="公网版机构";

    /**
     * 局域网版机构编号
     */
    public static final String LAN_INSTITUTION_CODE ="LAN001";

    /**
     * 局域网版机构名称
     */
    public static final String LAN_INSTITUTION_NAME ="局域网版机构";

    /**
     * 部分字段默认值
     */
    public static final String DEFAULT_VALUE_ZERO ="0";

    /**
     * 部分字段默认值
     */
    public static final String DEFAULT_VALUE_ONE ="1";

    /**
     * 问题类型 2 填空
     */
    public static final String QUESTION_TYPE_TWO ="2";

    /**
     * 公网版配置文件名称
     */
    public static final String PROFILE_PUBLIC = "public";


    /**
     * 游客固定用户id
     */
    public static final String PUBLIC_VISITOR_ID = "pub001-visitor";


    /**
     * 安装包名称
     **/
    public static final String APK_NAME = "app-release.apk";

    /**
     * 测试计划状态  测试状态:0--已关闭,1---手动关闭,2----未开始,3---进行中
     */
    public static final int TEST_PLAN_STATUS_END = 0;
    public static final int TEST_PLAN_STATUS_STOP = 1;
    public static final int TEST_PLAN_STATUS_UNSTART = 2;
    public static final int TEST_PLAN_STATUS_RUNNING = 3;

    /**fifteen
     * 测试计划状态  测试状态:0--已关闭,1---手动关闭,2----未开始,3---进行中
     */
    public static final int NUMBER_FIVE = 5;

    public static final int NUMBER_FIFTEEN = 15;

    /**
     * 生理信号内容
     * 类型：1为脉搏；2为心电；3为脑电
     */
    public static final String PLUSE = "1";
    public static final String ECG = "2";
    public static final String EEG = "3";

    /**
     * 测试计划--用户状态
     */
    public static final String TEST_PLAN_USER_STATUS_UNCOMPLETE = "0";
    public static final String TEST_PLAN_USER_STATUS_COMPLETED = "9";

    /**
     * 用户状态 1-待审核 2-审核通过 3--密码被重置需要重新登录
     */
    public static final String USER_STATUS_UNAUDITED = "1";
    public static final String USER_STATUS_NORMAL = "2";

    /**
     * 短信相关
     */
    /**
    *JM
    */
    /*public static int appId = 1400555402;   //短信应用SDK AppID 1400开头
    public static String appKey = "197596018c4565ad023c2b145f4069a1";   //短信应用SDK AppKey
    public static String smsSign = "北京决明科技";    //签名 NOTE: 这里的签名"腾讯云"只是一个示例，真实的签名需要在短信控制台中申请，另外签名参数使用的是`签名内容`，而不是`签名ID`
    public static int templateId = 1064633; //短信模板ID，需要在短信应用中申请 NOTE: 这里的模板ID`7839`只是一个示例，真实的模板ID需要在短信控制台中申请*/
    /**
     *HD
     */
    public static int appId = 1400863104;
    public static String appKey = "ff6f89586c9d9adb0fc201536bfe3de9";
    public static String smsSign = "河南红朵科技";
    public static int templateId = 1966205;

    /** 默认分组的名称  **/
    public static final String DEFAULT_GROUP_NAME = "默认分组";
    /** 朴拙设备唯一标识  **/
    //public static final String DEFAULT_PZ_UUID = "1cccbc5d7ec1496693ee0d00550033a2211f579fe3c6bf5db2213b813dad31b3";
    public static final String DEFAULT_PZ_UUID = "a50cc73bb252958435bd5a7645eecfec";
    public static final String DEFAULT_REGISTRY_PATH = "SOFTWARE\\Microsoft\\Cryptography";
    public static final String DEFAULT_REGISTRY_KEY = "MachineGuid";

    /**
     * 默认密码
     */
    public static final String DEFAULT_PASSWORD = "123456";
/**测试类型 匹茨堡睡眠质量指数**/
//public static final String QUEST_TYPE_PSQI="PSQI";
/**测试类型 心境状态量表POMS**/
//public static final String QUEST_TYPE_POMS = "POMS";
    /**
     * 测试类型症状自评量表(SCL-90)
     **/
    public static final String QUEST_TYPE_SCL = "SCL";
    /**
     * 艾森克人格量表
     **/
    public static final String QUEST_TYPE_ASK = "ASK";
    /**
     * 汉化版美国航空航天局任务负荷指数量表
     **/
    public static final String QUEST_TYPE_AVAI = "AVIA";
    /**
     * 社会支持评定量表
     **/
    public static final String QUEST_TYPE_SUPP = "SUPP";
    /**
     * 抑郁焦虑压力量表
     **/
    public static final String QUEST_TYPE_DEPR = "DEPR";
    /**
     * 正性负性情绪量表
     **/
    public static final String QUEST_TYPE_MOOD = "MOOD";
    /**
     * 状态-特质焦虑量表
     **/
    public static final String QUEST_TYPE_STATUS = "STATUS";
    /**
     * 生活事件量表
     **/
    public static final String QUEST_TYPE_LIFE = "LIFE";
    /**
     * 瑞文智力测试
     **/
    public static final String QUEST_TYPE_RIVEN = "RIVEN";
    /**
     * Go/No-go冲动抑制测试
     **/
    public static final String QUEST_TYPE_GO_NO_GO = "GO_NO-GO";
    /**
     * Go/No-go冲动抑制测试（成瘾版）
     **/
    public static final String QUEST_TYPE_GO_NO_GO_ADDICTION = "GO_NO-GO_ADDICTION";
    /**
     * 工作记忆能力测试(字母记忆)
     **/
    public static final String QUEST_TYPE_MEMORY = "MEMORY";
    /**
     * 游戏3
     **/
    public static final String QUEST_TYPE_MEMORY_YATAI = "MEMORY_YATAI";
    /**
     * 精神运动警觉度测试
     **/
    public static final String QUEST_TYPE_ALERTNESS = "ALERTNESS";
    /**
     * 精神运动警觉度测试(儿童版)
     **/
    public static final String QUEST_TYPE_ALERTNESS_CHILD = "ALERTNESS_CHILD";
    /**
     * 精神运动警觉度测试（成瘾版）
     **/
    public static final String QUEST_TYPE_ALERTNESS_ADDICTION = "ALERTNESS_ADDICTION";
    /**
     * 游戏4
     **/
    public static final String QUEST_TYPE_ALERTNESS_YATAI = "ALERTNESS_YATAI";
    /**
     * 连续加法测试
     **/
    public static final String QUEST_TYPE_ADDITION = "ADDITION";
    /**
     * 靶向神经振荡评估与训练
     **/
    public static final String QUEST_TYPE_RHYTHM = "RHYTHM";
    /**
     * 形状知觉测试(自上而下)
     **/
    public static final String QUEST_TYPE_SHAPE = "SHAPE";
    /**
     * 形状知觉测试(随机)
     **/
    public static final String QUEST_TYPE_SHAPE_RANDOM = "SHAPE_RANDOM";

    /**
     * 形状知觉测试儿童版
     */
    public static final String QUEST_TYPE_SHAPE_CHILD = "SHAPE_CHILD";
    /**
     * 游戏2
     **/
    public static final String QUEST_TYPE_SHAPE_YATAI = "SHAPE_YATAI";
    /**
     * 形状知觉测试(自下而上)
     **/
    public static final String QUEST_TYPE_SHAPE2 = "SHAPE2";
    /**
     * 不确定信息决策
     **/
    public static final String QUEST_TYPE_UNCERTAIN = "UNCERTAIN";
    /**
     * 运动知觉测试
     **/
    public static final String QUEST_TYPE_MOVEMENT = "MOVEMENT";
    /**
     * 运动知觉测试儿童版
     **/
    public static final String QUEST_TYPE_MOVEMENT_CHILD = "MOVEMENT_CHILD";
    /**
     * 注意力网络测试
     **/
    public static final String QUEST_TYPE_ANT = "ANT";
    /**
     * 游戏1
     **/
    public static final String QUEST_TYPE_ANT_YATAI = "ANT_YATAI";
    /**
     * 游戏5
     **/
    public static final String QUEST_TYPE_ANT_FISH_YATAI = "ANTFISH_YATAI";
    /**
     * 注意力网络测试（儿童版）
     **/
    public static final String QUEST_TYPE_ANT_FISH = "ANTFISH";
    /**
     * 注意力网络测试（儿童版）V2
     **/
    public static final String QUEST_TYPE_ANT_FISH_V2 = "ANTFISH_V2";
    /**
     * 画钟测试
     **/
    public static final String QUEST_TYPE_CDT = "CDT";
    /**
     * 蒙特利尔认知评估量表（MoCA）
     **/
    public static final String QUEST_TYPE_MOCA = "MOCA";
    /**
     * 蒙特利尔认知评估量表V2
     **/
    public static final String QUEST_TYPE_MOCA_v2 = "MOCA_v2";
    /**
     * 简易精神状态测试
     **/
    public static final String QUEST_TYPE_MMSE = "MMSE";

    /**
     * 听觉测试
     **/
    public static final String QUEST_TYPE_BIC = "BIC";
    /**
     * 听觉测试(开发版)
     **/
    public static final String QUEST_TYPE_BIC_V2 = "BIC_V2";
    /**
     * 综合记忆能力测试（旧版）
     **/
    public static final String QUEST_TYPE_RTC = "RTC";
    /**
     * 综合记忆能力测试
     **/
    public static final String QUEST_TYPE_RTC_CHILD = "RTC_CHILD";
    /**
     * 工作记忆能力测试（空间记忆）
     **/
    public static final String QUEST_TYPE_MEMORYT = "MemoryTest";
    /**
     * 工作记忆能力测试（空间记忆）2
     **/
    public static final String QUEST_TYPE_MEMORYT2 = "MemoryTestChildren";
    /**
     * 工作记忆能力测试（空间记忆）3
     **/
    public static final String QUEST_TYPE_MEMORYTV3 = "MemoryTestV3";
    /**
     * 目标追踪测试
     **/
    public static final String QUEST_TYPE_GTCT = "GTCT";

    /**
     * 多目标追踪(儿童版)
     */
    public static final String QUEST_TYPE_MTT_CHILD = "MTT_CHILD";
    /**
     * 多目标追踪(训练版)
     */
    public static final String QUEST_TYPE_MTT = "MTT";

    /**
     * Go/No-go冲动抑制测试（高级版）
     **/
    public static final String QUEST_TYPE_GO_NO_GO2 = "GO_NO-GO2";
    /**
     * 风险决策能力测试
     **/
    public static final String QUEST_TYPE_RDT = "RDT";
    /**
     * 时间知觉能力测试
     **/
    public static final String QUEST_TYPE_SC = "speedCognitive";
    /**
     * 空间记忆能力测试
     **/
    public static final String QUEST_TYPE_REM = "REM";
    /**
     * 悬旌万里
     **/
    public static final String QUEST_TYPE_XJWL = "xuanjingwanli";

    /**
     *
     **/
    public static final String QUEST_TYPE_CATTELL = "CATTELL";
    /**
     * 枪林弹雨
     **/
    public static final String QUEST_TYPE_GBE = "GUNSBULLETS";
    /**
     * 坦克洪流
     **/
    public static final String QUEST_TYPE_TKHL = "tanKeHongLiu";
    /**
     * 海空激战
     **/
    public static final String QUEST_TYPE_HKJZ = "haiKongJiZhan";
    /**
     * 雄鹰展翅
     **/
    public static final String QUEST_TYPE_XYZC = "xiongYingZhanChi";
    /**
     * 形状连线测试A
     **/
    public static final String QUEST_TYPE_STTA = "STTA";
    /**
     * 形状连线测试B
     **/
    public static final String QUEST_TYPE_STTB = "STTB";
    /**
     * 数字广度测验（DST）
     **/
    public static final String QUEST_TYPE_DST = "DST";
    /**
     * 华山版听觉词语学习
     **/
    public static final String QUEST_TYPE_MTH = "MTH";
    /**
     * Boston命名测验
     **/
    public static final String QUEST_TYPE_BSNTask = "BSNTask";
    /**
     * 动物词语流畅性测试
     **/
    public static final String QUEST_TYPE_AMWSTask = "AMWSTask";
    /**
     * etb1:面部表情识别任务
     **/
    public static final String QUEST_TYPE_ETB01 = "ETB01";

    /**
     * 情绪测试1：人脸表情识别V2
     **/
    public static final String QUEST_TYPE_ETB01_V2 = "ETB01_V2";
    /**
     * ETB抑郁筛查（成瘾版）
     **/
    public static final String QUEST_TYPE_ETB_ADDICTION = "ETB_ADDICTION";
    /**
     * ECAT::情绪分类任务
     **/
    public static final String QUEST_TYPE_ECAT = "ECAT";
    /**
     * EREC
     **/
    public static final String QUEST_TYPE_EREC = "EREC";
    /**
     * EMEM情绪识别记忆任务
     **/
    public static final String QUEST_TYPE_EMEM = "EMEM";
    /**
     * 情绪测试3：词汇测试-词汇分类
     * 情绪测试3：词汇测试-词汇回忆
     * 情绪测试3：词汇测试-词汇识别
     * 三个总和
     **/
    public static final String QUEST_TYPE_EALL = "EALL";
    /**
     * 情绪测试3：点探测（成瘾版）
     **/
    public static final String QUEST_TYPE_FACEDOT_ADDICTION = "FACEDOT_ADDICTION";
    /**
     * 情绪测试3：点探测(儿童版)
     **/
    public static final String QUEST_TYPE_FDOT_CHILD = "FDOT_CHILD";

    /**
     * Faces Dot Probe Task (FDOT)
     **/
    public static final String QUEST_TYPE_FDOT = "FDOT";

    /**
     * 视觉模拟渴求
     **/
    public static final String QUEST_TYPE_VAS= "VAS";

    /**
     * Stroop试验
     **/
    public static final String QUEST_TYPE_STROOP= "STROOP";

    /**
     * Stroop任务
     **/
    public static final String QUEST_TYPE_STROOP_TASK= "STROOP_TASK";

    /**
     * 数字符号转换测验
     **/
    public static final String QUEST_TYPE_DSST= "DSST";



    /**
     * 数字广度测验（语音版）
     **/
    public static final String QUEST_TYPE_DST_VOICE = "DST_VOICE";

    /**
     * 面孔情绪评价任务
     **/
    public static final String QUEST_TYPE_EAT= "EAT";

    /**
     * 情绪图片评定任务
     **/
    public static final String QUEST_TYPE_EPRT= "EPRT";

    /**
     * 神分裂症语义距离度量
     **/
    public static final String QUEST_TYPE_STFS= "STFS";

    /**
     * 量表类型
     **/
    public static final String SCALE_TYPE_E = "E";
    public static final String SCALE_TYPE_N = "N";
    public static final String SCALE_TYPE_P = "P";
    public static final String SCALE_TYPE_L = "L";

    public static final String NO = "no";
    public static final String YES = "yes";


    public static final String SPLIT_CHAR = "-";

    /**
     * 量表测试文件SHEET名
     **/
    public static final String SHEET_NAME_ASK = "艾森克人格量表";
    public static final String SHEET_NAME_SCL = "症状自评量表(SCL-90)";
    public static final String SHEET_NAME_AVAI = "汉化版美国航空航天局任务负荷指数量表";
    public static final String SHEET_NAME_SUPP = "社会支持评定量表";
    public static final String SHEET_NAME_DEPR = "抑郁焦虑压力表";
    public static final String SHEET_NAME_MOOD = "正性负性情绪量表";
    /**
     * 认知任务测试
     **/
    public static final String SHEET_NAME_RIVEN = "瑞文智力测试";
    public static final String SHEET_NAME_GO_NO_GO = "Go_No-go冲动抑制测试";//不要修改名称，特殊字符/会在生成文件时报错
    public static final String SHEET_NAME_GO_NO_GO_ADDICTION = "Go_No-go冲动抑制测试（成瘾版）";
    public static final String SHEET_NAME_GO_NO_GO2 = "Go_No-go冲动抑制测试（高级版）";
    public static final String SHEET_NAME_LIFE = "生活事件量表";
    public static final String SHEET_NAME_ALERTNESS = "精神运动警觉度测试";
    public static final String SHEET_NAME_ALERTNESS_CHILD = "精神运动警觉度测试(儿童版)";
    public static final String SHEET_NAME_ALERTNESS_ADDICTION = "精神运动警觉度测试（成瘾版）";
    public static final String SHEET_NAME_ALERTNESS_YATAI = "游戏4";
    public static final String SHEET_NAME_ADDITION = "连续加法测试";
    public static final String SHEET_NAME_CATTELL = "卡氏十六种人格因素量表";
    public static final String SHEET_NAME_MEMORY = "工作记忆能力测试(字母记忆)";
    public static final String SHEET_NAME_MEMORY_YATAI = "游戏3";
    public static final String SHEET_NAME_RHYTHM = "靶向神经振荡评估与训练";
    public static final String SHEET_NAME_SHAPE = "形状知觉测试(自上而下)";
    public static final String SHEET_NAME_SHAPE_RANDOM = "形状知觉测试(随机)";
    public static final String SHEET_NAME_SHAPE_CHILD = "形状知觉测试儿童版";
    public static final String SHEET_NAME_SHAPE_YATAI = "游戏2";
    public static final String SHEET_NAME_SHAPE2 = "形状知觉测试(自下而上)";
    public static final String SHEET_NAME_UNCERTAIN = "不确定信息决策";
    public static final String SHEET_NAME_MOVEMENT = "运动知觉测试";
    public static final String SHEET_NAME_MOVEMENT_CHILD = "运动知觉测试儿童版";
    public static final String SHEET_NAME_ANT = "注意力网络测试";
    public static final String SHEET_NAME_ANT_YATAI = "游戏1";
    public static final String SHEET_NAME_ANT_FISH_YATAI = "游戏5";
    public static final String SHEET_NAME_ANT_FISH = "注意力网络测试（儿童版）";
    public static final String SHEET_NAME_ANT_FISH_V2 = "注意力网络测试（儿童版）V2";
    public static final String SHEET_NAME_CDT = "画钟测试";
    public static final String SHEET_NAME_MOCA = "蒙特利尔认知评估量表（MoCA）";
    public static final String SHEET_NAME_MOCA_v2 = "蒙特利尔认知评估量表V2";
    public static final String SHEET_NAME_MMSE = "简易精神状态测试";
    public static final String SHEET_NAME_MMSE_V2 = "简易精神状态测试V2";
    public static final String SHEET_NAME_BIC = "听觉测试";
    public static final String SHEET_NAME_BIC_V2 = "听觉测试(开发版)";
    public static final String SHEET_NAME_RTC = "综合记忆能力测试（旧版）";
    public static final String SHEET_NAME_RTC_CHILD = "综合记忆能力测试";
    public static final String SHEET_NAME_MEMORYT = "工作记忆能力测试（空间记忆）";
    public static final String SHEET_NAME_MEMORYT2 = "工作记忆能力测试（空间记忆）2";
    public static final String SHEET_NAME_MEMORYTV3 = "工作记忆能力测试（空间记忆）3";
    //public static final String SHEET_NAME_GTCT = "目标追踪测试";
    public static final String SHEET_NAME_GTCT = "视觉追踪能力测试";
    public static final String SHEET_NAME_MTT_CHILD = "多目标追踪(儿童版)";
    public static final String SHEET_NAME_MTT = "多目标追踪(训练版)";
    public static final String SHEET_NAME_RDT = "风险决策能力测试";
    public static final String SHEET_NAME_SC = "时间知觉能力测试";
    public static final String SHEET_NAME_GBE = "枪林弹雨";
    public static final String SHEET_NAME_REM = "空间记忆能力测试";
    public static final String SHEET_NAME_XJWL = "悬旌万里";
    public static final String SHEET_NAMEE_TKHL = "坦克洪流";
    public static final String SHEET_NAME_HKJZ = "海空激战";
    public static final String SHEET_NAME_XYZC = "雄鹰展翅";
    public static final String SHEET_NAME_STTA = "形状连线测试A";
    public static final String SHEET_NAME_STTB = "形状连线测试B";
    public static final String SHEET_NAME_DST = "数字广度测验";
    public static final String SHEET_NAME_BSNTask = "Boston命名测验";
    public static final String SHEET_NAME_AMWSTask = "动物词语流畅性测试";
    public static final String SHEET_NAME_ETB01 = "人脸表情识别任务";
    public static final String SHEET_NAME_ETB01_V2 = "情绪测试1：人脸表情识别V2";
    public static final String SHEET_NAME_ETB_ADDICTION = "ETB抑郁筛查（成瘾版）";
    public static final String SHEET_NAME_ECAT = "情绪分类任务";
    public static final String SHEET_NAME_EREC = "词汇回忆";
    public static final String SHEET_NAME_EMEM = "情绪识别记忆任务";
    public static final String SHEET_NAME_EALL = "情绪测试2-词汇测试";
    public static final String SHEET_NAME_FACEDOT_ADDICTION = "情绪测试3：点探测（成瘾版）";
    public static final String SHEET_NAME_FDOT_CHILD = "情绪测试3：点探测(儿童版)";
    public static final String SHEET_NAME_ECAT_ADDICTION = "情绪测试2：词汇测试(成瘾版)";
    public static final String SHEET_NAME_FDOT = "情绪测试3：点探测";
    public static final String SHEET_NAME_VAS= "视觉模拟渴求";
    public static final String SHEET_NAME_STROOP= "Stroop试验";
    public static final String SHEET_NAME_STROOP_TASK= "Stroop任务";
    public static final String SHEET_NAME_DSST= "数字符号转换测验";
    public static final String SHEET_NAME_DST_VOICE= "数字广度测验（语音版）";
    public static final String SHEET_NAME_EAT= "面孔情绪评价任务";
    public static final String SHEET_NAME_EPRT= "情绪图片评定任务";
    public static final String SHEET_NAME_STFS= "神分裂症语义距离度量";



    /**
     * 每个组块的字母个数
     **/
    public static int CHAR_COUNT = 18;



    /**
     * 题目类型：单选题
     */
    public static final String MAGIC_NUM_0 = "0";
    /**
     * 题目类型：多选题
     * 计分方向：正向
     */
    public static final String MAGIC_NUM_1 = "1";
    /**
     * 题目类型：文本
     */
    public static final String MAGIC_NUM_2 = "2";
    /**
     * 题目类型：数字
     */
    public static final String MAGIC_NUM_3 = "3";
    /**
     * 题目类型：日期
     */
    public static final String MAGIC_NUM_4 = "4";
    /**
     * 题目类型：下拉选
     */
    public static final String MAGIC_NUM_5 = "5";
    /**
     * 题目类型：跳转单选（如果填过后边题目直接结束提交，跳转题号为最后一题+1）
     */
    public static final String MAGIC_NUM_6 = "6";
    /**
     * 题目类型：说明单选
     */
    public static final String MAGIC_NUM_7 = "7";
    /**
     * 题目类型：附图单选
     */
    public static final String MAGIC_NUM_8 = "8";
    /**
     * 题目类型：附图多选
     */
    public static final String MAGIC_NUM_9 = "9";
    /**
     * 题目类型：附说明单选
     */
    public static final String MAGIC_NUM_10 = "10";
    /**
     * 题目类型：附说明多选
     */
    public static final String MAGIC_NUM_11 = "11";
    /**
     * 题目类型：复杂类型  单选，填空
     */
    public static final String MAGIC_NUM_02 = "02";
    /**
     * 题目类型：复杂类型：多选，填空
     */
    public static final String MAGIC_NUM_12 = "12";
    /**
     * 计分方向：反向
     */
    public static String MAGIC_NUM_MINUS_1 = "-1";




    /**
     * 匹兹堡睡眠质量指数
     **/
    public static final String QUEST_TYPE_PSQI = "20210725100704";

    /**
     * 心境状态量表
     **/
    public static final String QUEST_TYPE_POMS = "20211020113719";



    /**
     * 量表测试文件SHEET名
     **/
    public static final String SHEET_NAME_API = "Aitken拖延问卷";
    public static final String SHEET_NAME_LSAS = "社交焦虑量表";
    public static final String SHEET_NAME_BPRS = "简明精神病量表";
    public static final String SHEET_NAME_HAMA = "汉密顿焦虑量表";
    public static final String SHEET_NAME_UCLA = "孤独量表";
    public static final String SHEET_NAME_SAS = "焦虑自评量表";


    public static final String SHEET_NAME_ITS = "人际信任量表";
    public static final String SHEET_NAME_GCQ = "舒适状况量表";
    public static final String SHEET_NAME_SDS = "抑郁自评量表";
    public static final String SHEET_NAME_TAS_26 = "多伦多述情障碍量表";
    public static final String SHEET_NAME_MCSD = "社会期望量表";

    public static final String SHEET_NAME_SD = "爱德华社会期望量表";
    public static final String SHEET_NAME_SAD = "社交回避及苦恼量表";
    public static final String SHEET_NAME_SQ = "安全感量表";
    public static final String SHEET_NAME_BDI = "贝克抑郁自评量表";
    public static final String SHEET_NAME_GAD_7 = "广泛性焦虑障碍量表";
    public static final String SHEET_NAME_CES_D = "流调中心用抑郁量表";
    public static final String SHEET_NAME_MUNSH = "纽芬兰纪念大学幸福度量表";
    public static final String SHEET_NAME_PSS = "压力知觉量表";
    public static final String SHEET_NAME_HADS = "医院焦虑抑郁量表";
    public static final String SHEET_NAME_PHQ_9 = "抑郁症筛查量表";
    public static final String SHEET_NAME_QSA = "自杀态度问卷";
    public static final String SHEET_NAME_SES = "自尊量表";
    public static final String SHEET_NAME_MMPI_K = "明尼苏达多相人格测验矫正量表";//开始在数据库添加计分原则
    public static final String SHEET_NAME_MMPI_L = "明尼苏达多相人格测验说谎L量表";
    public static final String SHEET_NAME_NYLS = "3-7岁儿童气质问卷";
    public static final String SHEET_NAME_SIT = "儿童感觉统合能力发展评定量表";
    public static final String SHEET_NAME_CSES = "核心自我评价量表";
    public static final String SHEET_NAME_MHLC = "精神卫生心理控制源量表";
    public static final String SHEET_NAME_AUDIT = "酒精依赖疾患识别测验";
    public static final String SHEET_NAME_RD = "态度与意见调查中的期望性作答";
    public static final String SHEET_NAME_SCL_90 = "症状自评量表(SCL-90)";
    public static final String SHEET_NAME_SCSQ = "简易应对方式问卷";
    public static final String SHEET_NAME_PRCA_24 = "交流恐惧自陈量表";
    public static final String SHEET_NAME_IAS = "交往焦虑量表";
    public static final String SHEET_NAME_PSSS = "领悟社会支持量表";
    public static final String SHEET_NAME_APIUS = "青少年病理性互联网使用量表";
    public static final String SHEET_NAME_SS = "羞怯量表";
    public static final String SHEET_NAME_SCCS = "自我和谐量表";
    public static final String SHEET_NAME_AS = "情感量表";
    public static final String SHEET_NAME_ATO = "自动思维量表";
    public static final String SHEET_NAME_QLSCA = "儿童少年生活质量量表";
    public static final String SHEET_NAME_GDS = "老年抑郁量表";
    public static final String SHEET_NAME_CRS = "Carroll抑郁量表";
    public static final String SHEET_NAME_FAD = "家庭功能评定";
    public static final String SHEET_NAME_ASAS = "青少年学生疏离感量表";
    public static final String SHEET_NAME_ESLI = "情绪-社交孤独问卷";
    public static final String SHEET_NAME_BRMS = "贝克-拉范森躁狂量表";
    public static final String SHEET_NAME_MPS = "多维完美主义问卷";
    public static final String SHEET_NAME_PGC = "费城老年中心(PGC)信心量表";
    public static final String SHEET_NAME_LSIA = "生活满意度指数A";
    public static final String SHEET_NAME_TSI = "思维风格量表";
    public static final String SHEET_NAME_SITS = "特定人际信任量表";
    public static final String SHEET_NAME_FPS = "信赖他人量表";
    public static final String SHEET_NAME_TIP = "信任他人量表";
    public static final String SHEET_NAME_TS = "信任量表";
    public static final String SHEET_NAME_PSAI = "学龄前儿童活动调查表";
    public static final String SHEET_NAME_PRS = "学习障碍儿童筛查量表";
    public static final String SHEET_NAME_DSI = "抑郁状态问卷";
    public static final String SHEET_NAME_DASS_42 = "抑郁-焦虑-压力量表";
    public static final String SHEET_NAME_AIS = "阿森斯失眠量表";
    public static final String SHEET_NAME_EHS = "爱丁堡利手量表";
    public static final String SHEET_NAME_ESS = "爱泼沃斯嗜睡量表";
    public static final String SHEET_NAME_TTT = "气质类型测试";

    public static final String SHEET_NAME_MRA_SAFE = "在婚姻里，你有安全感吗？";
    public static final String SHEET_NAME_OCC_AGE = "职业心理年龄测试";
    public static final String SHEET_NAME_STAI = "状态一特质焦虑问卷";
    public static final String SHEET_NAME_PLOC = "子女教育心理控制源量表";
    public static final String SHEET_NAME_CFD = "自信心测试";
    public static final String SHEET_NAME_SEI = "自尊调查表";
    public static final String SHEET_NAME_WVI = "舒伯职业价值观量表";
    public static final String SHEET_NAME_DSR = "双方性调节量表";
    public static final String SHEET_NAME_BDQ = "双相情感障碍自评量表";
    public static final String SHEET_NAME_TCSQ = "特质应对方式问卷";
    public static final String SHEET_NAME_STUR = "同学关系测验问卷";
    public static final String SHEET_NAME_WILL = "威廉斯创造力倾向测评量表";
    public static final String SHEET_NAME_PRCS = "演说者信心自评量表";
    public static final String SHEET_NAME_DACL = "抑郁形容词检查表";
    public static final String SHEET_NAME_PER = "性向测试问卷";
    public static final String SHEET_NAME_EPQ = "艾森克人格量表";
    public static final String SHEET_NAME_TAS = "Sarason考试焦虑量表";
    public static final String SHEET_NAME_PRT = "人际关系综合诊断量表";
    public static final String SHEET_NAME_PLP = "人性的哲学修订量表";
    public static final String SHEET_NAME_AOO = "容纳他人量表";
    public static final String SHEET_NAME_SADS = "社会适应能力诊断量表";
    public static final String SHEET_NAME_LSIB = "生活满意度指数B";
    public static final String SHEET_NAME_NDDI_E = "癫痫抑郁量表";
    public static final String SHEET_NAME_ESM = "癫痫患者自我管理量表";
    public static final String SHEET_NAME_CSHQ = "儿童睡眠习惯问卷";
    public static final String SHEET_NAME_MSIQ = "马斯洛安全感-不安全感问卷";
    public static final String SHEET_NAME_IPC = "内控性、有势力的他人及机遇量表";
    public static final String SHEET_NAME_YSV = "你到底“几斤几两”——测测你的自我价值";
    public static final String SHEET_NAME_YSP = "你对另一半满意吗？";
    public static final String SHEET_NAME_YFI = "你给人的第一印象如何？";
    public static final String SHEET_NAME_WHD = "你拖延到什么程度了?";
    public static final String SHEET_NAME_PCR = "亲子关系问卷量表";
    public static final String SHEET_NAME_ESLIS = "情绪一社交孤独问卷";
    public static final String SHEET_NAME_DISC = "DISC性格测试题";
    public static final String SHEET_NAME_AAS = "成人依恋量表";
    public static final String SHEET_NAME_CCSAS = "儿童行为问卷（父母用）";
    public static final String SHEET_NAME_CCSAS2 = "中国大学生适应量表";
    public static final String SHEET_NAME_ABT = "A型、B型性格测试";
    public static final String SHEET_NAME_CARS = "儿童自闭症评量量表";
    public static final String SHEET_NAME_ABC = "孤独症儿童行为量表";
    public static final String SHEET_NAME_CABS = "克氏行为量表";
    public static final String SHEET_NAME_ADSC = "青少年忧郁情绪自我检视表";
    public static final String SHEET_NAME_DDI = "痛苦表露指数";
    public static final String SHEET_NAME_DWTA = "心理测试：你应对职场动荡的能力";
    public static final String SHEET_NAME_STOPB = "STOP-Bang量表";





/** 许博文 **/

    /**
     * 交通安全文化量表
     **/
    public static final String QUEST_TYPE_TSCS = "20211003094821";
    /**
     * 驾驶行为量表
     **/
    public static final String QUEST_TYPE_DBS = "20211003094602";
    /**
     * 训练比赛满意感量表
     **/
    public static final String QUEST_TYPE_TCS = "20210923230509";
    /**
     * 一般决策风格量表
     **/
    public static final String QUEST_TYPE_GDMS = "20210923230703";
    /**
     * 危险知觉能力自我评估量表
     **/
    public static final String QUEST_TYPE_SRHP = "20210924090818";
    /**
     * Ross面神经分级系统
     **/
    public static final String QUEST_TYPE_RFNGS = "20210929221501";
    /**
     * 哥本哈根卒中量表
     **/
    public static final String QUEST_TYPE_CS = "20210929222226";
    /**
     * SNAP-IV父母及教师评定量表(18项)
     **/
    public static final String QUEST_TYPE_SNAPIV = "20211002195132";
    /**
     * SNAP-IV父母及教师评定量表(26项)
     **/
    public static final String QUEST_TYPE_SNAPIV2 = "20211002195229";
    /**
     * Weiss 功能缺陷量表(父母版)
     **/
    public static final String QUEST_TYPE_WFIRS = "20211002195607";
    /**
     * 道路安全的家庭氛围量表
     **/
    public static final String QUEST_TYPE_FCRSS = "20211002213330";
    /**
     * 多维度驾驶风格量表
     **/
    public static final String QUEST_TYPE_MDSIC = "20211002213446";
    /**
     * 多维度交通心理控制源量表
     **/
    public static final String QUEST_TYPE_TLOC = "20211002213556";
    /**
     * 驾驶安全态度量表
     **/
    public static final String QUEST_TYPE_DSA = "20211002214206";
    /**
     * 驾驶成本与收益问卷
     **/
    public static final String QUEST_TYPE_DCBQ = "20211002214330";
    /**
     * 驾驶愤怒量表
     **/
    public static final String QUEST_TYPE_DAS = "20211002214527";
    /**
     * 教师的压力评估
     **/
    public static final String QUEST_TYPE_TSA = "20211003095159";
    /**
     * 年轻新手驾驶行为量表
     **/
    public static final String QUEST_TYPE_BYNDS = "20211003095446";
    /**
     * 亲社会和攻击性驾驶行为量表
     **/
    public static final String QUEST_TYPE_PADIC = "20211003095601";
    /**
     * 情绪状态量表
     **/
    public static final String QUEST_TYPE_DPOMS = "20211003095944";
    /**
     * 事故风险问卷
     **/
    public static final String QUEST_TYPE_ARQ = "20211003100036";
    /**
     * 突发性公共卫生事件心理问卷
     **/
    public static final String QUEST_TYPE_PQEEPH = "20211003100227";
    /**
     * 危险驾驶行为量表
     **/
    public static final String QUEST_TYPE_DDBS = "20211003100421";
    /**
     * 危险行为态度量表
     **/
    public static final String QUEST_TYPE_SRBA = "20211003100745";
    /**
     * 学龄前儿童饮食行为量表
     **/
    public static final String QUEST_TYPE_PEBS = "20211003100909";
    /**
     * 中学生龋齿简易风险自评问卷
     **/
    public static final String QUEST_TYPE_SCRSQ = "20211003101405";
    /**
     * 驾驶危险行为量表
     **/
    public static final String QUEST_TYPE_DDBS2 = "20211003100636";

    public static final String SHEET_NAME_DDBS = "危险驾驶行为量表";
    public static final String SHEET_NAME_PQEEPH = "突发性公共卫生事件心理问卷";
    public static final String SHEET_NAME_ARQ = "事故风险问卷";
    public static final String SHEET_NAME_DPOMS = "情绪状态量表";
    public static final String SHEET_NAME_PADIC = "亲社会和攻击性驾驶行为量表";
    public static final String SHEET_NAME_BYNDS = "年轻新手驾驶行为量表";
    public static final String SHEET_NAME_TSA = "教师的压力评估";
    public static final String SHEET_NAME_DAS = "驾驶愤怒量表";
    public static final String SHEET_NAME_DCBQ = "驾驶成本与收益问卷";
    public static final String SHEET_NAME_DSA = "驾驶安全态度量表";
    public static final String SHEET_NAME_TLOC = "多维度交通心理控制源量表";
    public static final String SHEET_NAME_MDSIC = "多维度驾驶风格量表";
    public static final String SHEET_NAME_FCRSS = "道路安全的家庭氛围量表";
    public static final String SHEET_NAME_WFIRS = "Weiss 功能缺陷量表(父母版)";
    public static final String SHEET_NAME_SNAPIV2 = "SNAP-IV父母及教师评定量表(26项)";
    public static final String SHEET_NAME_SNAPIV = "SNAP-IV父母及教师评定量表(18项)";
    public static final String SHEET_NAME_CS = "哥本哈根卒中量表";
    public static final String SHEET_NAME_RFNGS = "Ross面神经分级系统";
    public static final String SHEET_NAME_SRHP = "危险知觉能力自我评估量表";
    public static final String SHEET_NAME_GDMS = "一般决策风格量表";
    public static final String SHEET_NAME_TCS = "训练比赛满意感量表";
    public static final String SHEET_NAME_DBS = "驾驶行为量表";
    public static final String SHEET_NAME_TSCS = "交通安全文化量表";
    public static final String SHEET_NAME_DDBS2 = "危险驾驶行为量表";
    public static final String SHEET_NAME_SCRSQ = "中学生龋齿简易风险自评问卷";
    public static final String SHEET_NAME_PEBS = "学龄前儿童饮食行为量表";
    public static final String SHEET_NAME_SRBA = "危险行为态度量表";

/** 20220310 lpf **/
    /**
     * 巴瑞特冲动性人格问卷
     **/
    public static final String QUEST_TYPE_BRT = "20220227165514";
    public static final String SHEET_NAME_BRT = "巴瑞特冲动性人格问卷";
    /**
     * 大学生恋爱心理压力源量表
     **/
    public static final String QUEST_TYPE_DXSLA = "20220126170829";
    public static final String SHEET_NAME_DXSLA = "大学生恋爱心理压力源量表";
    /**
     * 霍兰德职业兴趣测试
     **/
    public static final String QUEST_TYPE_HLD = "20220218094735";
    public static final String SHEET_NAME_HLD = "霍兰德职业兴趣测试";
    /**
     * 军人心理应激自评问卷
     **/
    public static final String QUEST_TYPE_JRXLYJ = "20220302195619";
    public static final String SHEET_NAME_JRXLYJ = "军人心理应激自评问卷";

    public static final String SHEET_NAME_STUHEA = "中国中学生心理健康量表";

    public static final String SHEET_NAME_SDLRS = "中学生自我导向学习倾向性量表 SDLRS";

    public static final String SHEET_NAME_Russell = "Russell吸烟原因问卷";

    public static final String SHEET_NAME_YDRZ = "运动认知特质焦虑量表";
/** END **/

    /** 日期转换标志：start转换为当天0时0分0秒  end转换为第二天0时0分0秒 **/
    public static final String DATE_TRANS_FLAG_START = "start";
    public static final String DATE_TRANS_FLAG_END = "end";
    /** 用户测试计划完成状态  0:未完成  9 已完成 **/
    public static final String USER_PLAN_STATUS_UNCOMPLETED = "0";
    public static final String USER_PLAN_STATUS_COMPLETED = "9";


}
