package com.rf.psychological.group.dao.model;

import com.rf.psychological.base.model.BaseEntity;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @author lpf
 * @description:
 * @date 25/10/2021下午3:21
 */

@EqualsAndHashCode(callSuper = true)
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "t_group_info")
@org.hibernate.annotations.Table(appliesTo = "t_group_info", comment = "小组表")
public class GroupEntity extends BaseEntity {

    @Column(name = "group_name", columnDefinition = "varchar(50) not null comment '组名称'")
    private String groupName;

    @Column(name = "institution_no", columnDefinition = "varchar(50) comment '所属机构编码'")
    private String institutionNo;

}
