package com.rf.psychological.miniapp.browse.repository;

import com.rf.psychological.base.repository.BaseRepository;
import com.rf.psychological.miniapp.browse.model.BrowseEntity;

import java.util.List;

/**
 * @Description:浏览记录
 * @Author: mimang
 * @Date: 2023/5/16
 */
public interface BrowseRepository extends BaseRepository<BrowseEntity,String> {

    /**
     * 获取有效浏览
     * @param id
     * @param defaultValueOne
     * @return
     */
    List<BrowseEntity> findAllByUserIdAndStatus(String id, String defaultValueOne);

    BrowseEntity findByUserIdAndBusinessIdAndStatus(String userId,String businessId,String status);
}
